Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035181
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2017-02-07 11:112017-09-21 16:50
ReporterngarciaView Statuspublic 
Assigned ToCSousa 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionfc659d830363
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035181: createAccDefRevenueFact function should be public in DocInvoice class

DescriptioncreateAccDefRevenueFact function should be public in DocInvoice class
Steps To ReproduceCreate a DocInvoiceTemplate class and check you cannot access the function:

docInvoice.createAccDefRevenueFact
Proposed SolutionSet the method as public
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 00248003.0PR14Q2 closeddmiguelez createAccDefExpenseFact and computeTaxUndeductableLine methods of DocInvoice class must be public 
related to design defect 0032342 newTriage Finance Accounting Templates: some data from DocInvoice_data.xsql is not accessible from the DocInvoice object 

-  Notes
(0096082)
CSousa (developer)
2017-04-20 08:58

Create a DocInvoiceTemplate class and check you can access the function:

docInvoice.createAccDefRevenueFact
(0099115)
hgbot (developer)
2017-09-18 14:30

Repository: erp/devel/pi
Changeset: fc659d8303635171d724ff74681e6303e1e9cfb4
Author: Carlos Sousa <carlos.sousa <at> openbravo.com>
Date: Thu Apr 20 08:56:30 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fc659d8303635171d724ff74681e6303e1e9cfb4 [^]

Fixes issue 35181: createAccDefRevenueFact function
should be public in DocInvoice class.

createAccDefRevenueFact function set as public

---
M src/org/openbravo/erpCommon/ad_forms/DocInvoice.java
---
(0099116)
aferraz (developer)
2017-09-18 14:31

Code review + Testing OK
(0099409)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-07 11:11 ngarcia New Issue
2017-02-07 11:11 ngarcia Assigned To => Triage Finance
2017-02-07 11:11 ngarcia Modules => Core
2017-02-07 11:11 ngarcia Triggers an Emergency Pack => No
2017-02-07 11:11 ngarcia Relationship added related to 0024800
2017-02-07 11:11 ngarcia Relationship added related to 0032342
2017-02-07 11:12 ngarcia Issue Monitored: networkb
2017-04-20 08:58 CSousa Note Added: 0096082
2017-05-08 13:30 CSousa Status new => scheduled
2017-05-08 13:30 CSousa Assigned To Triage Finance => CSousa
2017-09-18 14:30 hgbot Checkin
2017-09-18 14:30 hgbot Note Added: 0099115
2017-09-18 14:30 hgbot Status scheduled => resolved
2017-09-18 14:30 hgbot Resolution open => fixed
2017-09-18 14:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fc659d8303635171d724ff74681e6303e1e9cfb4 [^]
2017-09-18 14:31 aferraz Review Assigned To => aferraz
2017-09-18 14:31 aferraz Note Added: 0099116
2017-09-18 14:31 aferraz Status resolved => closed
2017-09-18 14:31 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099409


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker